package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.configuration.AppConfiguration;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.channels.Channels;
import java.nio.channels.FileChannel;
import java.nio.channels.WritableByteChannel;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Random;
import org.apache.commons.compress.archivers.ArchiveEntry;
import org.apache.commons.compress.archivers.zip.Zip64Mode;
import org.apache.commons.compress.archivers.zip.ZipArchiveEntry;
import org.apache.commons.compress.archivers.zip.ZipArchiveInputStream;
import org.apache.commons.compress.archivers.zip.ZipArchiveOutputStream;
import org.apache.commons.lang.StringUtils;

public class DangAnZhengLiUtil {
  private static String KEY = AppConfiguration.getConfigValue("DUICHENGMIYAO");
  
  private static String defalutKey = "12345abcde";
  
  public static String formatPath(String path) {
    if (StringUtils.isBlank(path))
      return null; 
    if (File.separator.equals("\\"))
      return path.replace("/", File.separator); 
    if (File.separator.equals("/"))
      return path.replace("\\", File.separator); 
    return path;
  }
  
  public static String getRandomString() {
    String base = "abcdefghijklmnopqrstuywxyz0123456789";
    Random random = new Random();
    StringBuffer sb = new StringBuffer();
    for (int i = 0; i < 10; i++) {
      int number = random.nextInt(base.length());
      sb.append(base.charAt(number));
    } 
    return sb.toString();
  }
  
  public static boolean copyFile(File sourceFile, File targetFile) {
    if (sourceFile.length() <= 0L)
      return true; 
    if (!targetFile.exists())
      try {
        targetFile.createNewFile();
      } catch (IOException e) {
        e.printStackTrace();
      }  
    FileInputStream input = null;
    FileOutputStream out = null;
    FileChannel inChan = null;
    WritableByteChannel outChan = null;
    try {
      input = new FileInputStream(sourceFile);
      out = new FileOutputStream(targetFile);
      inChan = input.getChannel();
      outChan = Channels.newChannel(out);
      inChan.position(0L);
      ByteBuffer byteBuffer = ByteBuffer.allocate(4096);
      while (inChan.read(byteBuffer) != -1) {
        byteBuffer.flip();
        outChan.write(byteBuffer);
        byteBuffer.clear();
      } 
    } catch (FileNotFoundException e) {
      e.printStackTrace();
      return false;
    } catch (IOException e) {
      e.printStackTrace();
      return false;
    } finally {
      try {
        if (input != null)
          input.close(); 
        if (inChan != null)
          inChan.close(); 
        if (out != null)
          out.close(); 
        if (outChan != null)
          outChan.close(); 
      } catch (IOException e) {
        e.printStackTrace();
        return false;
      } 
    } 
    return true;
  }
  
  public static List<String> getFiles(String dir) {
    List<String> lstFiles = null;
    if (lstFiles == null)
      lstFiles = new ArrayList<>(); 
    File file = new File(dir);
    File[] files = file.listFiles();
    byte b;
    int i;
    File[] arrayOfFile1;
    for (i = (arrayOfFile1 = files).length, b = 0; b < i; ) {
      File f = arrayOfFile1[b];
      if (f.isDirectory()) {
        lstFiles.add(f.getAbsolutePath());
        lstFiles.addAll(getFiles(f.getAbsolutePath()));
      } else {
        String str = f.getAbsolutePath();
        lstFiles.add(str);
      } 
      b++;
    } 
    return lstFiles;
  }
  
  public static void zip(String dir, String zippath) {
    compressFilesZip(zippath, dir);
    File file = new File(dir);
    if (file.exists())
      file.delete(); 
  }
  
  public static void compressFilesZip(String zipFilePath, String dir) {
    ZipArchiveOutputStream zaos = null;
    try {
      File zipFile = new File(zipFilePath);
      zaos = new ZipArchiveOutputStream(zipFile);
      zaos.setUseZip64(Zip64Mode.AsNeeded);
      File file = new File(dir);
      if (file != null) {
        String name = file.getName();
        ZipArchiveEntry zipArchiveEntry = new ZipArchiveEntry(file, name);
        zaos.putArchiveEntry((ArchiveEntry)zipArchiveEntry);
        file.isDirectory();
        InputStream is = null;
        try {
          is = new BufferedInputStream(new FileInputStream(file));
          byte[] buffer = new byte[1024];
          int len = -1;
          while ((len = is.read(buffer)) != -1)
            zaos.write(buffer, 0, len); 
          zaos.closeArchiveEntry();
        } catch (Exception e) {
          throw new RuntimeException(e);
        } finally {
          if (is != null)
            is.close(); 
        } 
      } 
      zaos.finish();
    } catch (Exception e) {
      throw new RuntimeException(e);
    } finally {
      try {
        if (zaos != null)
          zaos.close(); 
      } catch (IOException e) {
        throw new RuntimeException(e);
      } 
    } 
  }
  
  public static void unzip(String zipFilePath, String saveFileDir) {
    if (!saveFileDir.endsWith("\\") && !saveFileDir.endsWith("/"))
      saveFileDir = String.valueOf(saveFileDir) + File.separator; 
    File dir = new File(saveFileDir);
    if (!dir.exists())
      dir.mkdirs(); 
    File file = new File(zipFilePath);
    if (file.exists()) {
      InputStream is = null;
      ZipArchiveInputStream zais = null;
      try {
        is = new FileInputStream(file);
        zais = new ZipArchiveInputStream(is);
        ArchiveEntry archiveEntry = null;
        while ((archiveEntry = zais.getNextEntry()) != null) {
          String entryFileName = archiveEntry.getName();
          String entryFilePath = String.valueOf(saveFileDir) + entryFileName;
          OutputStream os = null;
          try {
            File entryFile = new File(entryFilePath);
            if (entryFileName.endsWith("/")) {
              entryFile.mkdirs();
            } else {
              os = new BufferedOutputStream(new FileOutputStream(
                    entryFile));
              byte[] buffer = new byte[1024];
              int len = -1;
              while ((len = zais.read(buffer)) != -1)
                os.write(buffer, 0, len); 
            } 
          } catch (IOException e) {
            throw new IOException(e);
          } finally {
            if (os != null) {
              os.flush();
              os.close();
            } 
          } 
        } 
      } catch (Exception e) {
        throw new RuntimeException(e);
      } finally {
        try {
          if (zais != null)
            zais.close(); 
          if (is != null)
            is.close(); 
        } catch (IOException e) {
          throw new RuntimeException(e);
        } 
      } 
    } 
  }
  
  public static String getFilePathName(String dir) {
    String p = dir.replace(File.separator, "");
    p = p.replace("\\", "/");
    return p;
  }
  
  public static void deleteFile(String wjjpath) {
    try {
      if (StringUtils.isNotBlank(wjjpath)) {
        String path = (new cpcns.utils.DangAnZhengLiUtil()).getClass().getResource("/").getPath();
        path = path.substring(1);
        path = path.replace("WEB-INF/classes/", wjjpath);
        File delfilefolder = new File(path);
        if (delfilefolder.exists() && (
          delfilefolder.listFiles()).length > 0) {
          File[] files = delfilefolder.listFiles();
          for (int i = 0; i < files.length; i++)
            files[i].delete(); 
        } 
      } 
    } catch (Exception e) {
      System.out.println("删除文件夹下的文件时出错！");
      e.printStackTrace();
    } 
  }
  
  public static void deleteFilePath(String wjjpath) {
    try {
      if (StringUtils.isNotBlank(wjjpath)) {
        File delfilefolder = new File(wjjpath);
        if (delfilefolder.exists() && (
          delfilefolder.listFiles()).length > 0) {
          File[] files = delfilefolder.listFiles();
          for (int i = 0; i < files.length; i++)
            files[i].delete(); 
        } 
      } 
    } catch (Exception e) {
      System.out.println("删除文件夹下的文件时出错！");
      e.printStackTrace();
    } 
  }
  
  public static List<Map<String, Object>> genYeShuByYeHao(List<Map<String, Object>> list) {
    List<Map<String, Object>> list_ = list;
    if ((((list != null) ? 1 : 0) & ((list.size() > 0) ? 1 : 0)) != 0) {
      int qyh = 0;
      for (int i = 0; i < list_.size(); i++) {
        Map<String, Object> map = list_.get(i);
        Object yeShu = map.get("YEHAO");
        if (yeShu != "" && yeShu != null) {
          String ys = String.valueOf(yeShu);
          int qyh_ = qyh + Integer.parseInt(ys);
          String yeShu_ = String.valueOf(qyh + 1) + "-" + qyh_;
          map.put("YEHAO", yeShu_);
          qyh = qyh_;
        } 
      } 
    } 
    return list_;
  }
}
